<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<div <?php post_class();?>>
<h2><?php the_title(); ?></h2>
<?php edit_post_link(__('Edit','scrapbook') ); ?>

<?php
$scrapbook_max_image_width = 720; // the widest image we can display
$scrapbook_options = get_option('scrapbook_theme_options');

if ( !has_post_thumbnail('custom-attachment-image') ) {
	/* We don't have a pre-generated image of the correct width so we need to find the largest we can use */
	$scrapbook_image_details = wp_get_attachment_metadata();
	if( $scrapbook_image_details['width'] <= $scrapbook_max_image_width ) {
		$scrapbook_img_size = 'full';
		$scrapbook_img_width = $scrapbook_image_details['width'];
	}
	else {
		$scrapbook_possibles = array('large', 'medium', 'thumbnail');
		foreach ($scrapbook_possibles as $scrapbook_possible) {
			$scrapbook_img_size = $scrapbook_possible;
			if(isset( $scrapbook_image_details['sizes'][$scrapbook_img_size]) ) {
				if($scrapbook_image_details['sizes'][$scrapbook_img_size]['width'] <= $scrapbook_max_image_width ) $scrapbook_img_width = $scrapbook_image_details['sizes'][$scrapbook_img_size]['width'];
				break;
			}
		}
	}
}
$scrapbook_img_meta =  $scrapbook_image_details['image_meta'];?>

<div class="image">
<div class="tape1"></div>
<a<?php if( !isset($scrapbook_options['thickbox']) || $scrapbook_options['thickbox'] == 'yes'  ) echo ' class="thickbox" ';?> title="<?php echo the_title_attribute();?>" href="<?php echo wp_get_attachment_url($post->ID); ?>"><?php if ( has_post_thumbnail('custom-attachment-image')) the_post_thumbnail('custom-attachment-image'); else echo wp_get_attachment_image( $post->ID, $scrapbook_img_size ); ?></a>

<?php if( $post->post_excerpt ) :?><div class="img-description" style="width:<?php echo $scrapbook_img_width;?>px;"><?php if(get_the_content() ) the_content(); else the_excerpt(); ?></div><?php endif;?>

<dl id="exif-data">
<?php
 if( !isset($scrapbook_options['exif_display']) || $scrapbook_options['exif_display'] == 'yes'  ) :
foreach($scrapbook_img_meta as $scrapbook_exif_title=>$scrapbook_exif_value ) :
if( $scrapbook_exif_value != '' && $scrapbook_exif_value != 0 ) :
echo '<dt>' . ucwords(str_replace('_', ' ', $scrapbook_exif_title) ) . __(':','scrapbook') . '</dt>';
echo '<dd>' . $scrapbook_exif_value . '</dd>';
endif;
endforeach;
endif;
?>
<dt><?php _e('Posted under:','scrapbook');?></dt>
<dd><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a></dd>
</dl>

</div>

<ul class="prevnext image-nav">
<li class="prev-img"><?php previous_image_link(); ?></li>
<li class="next-img"><?php next_image_link();?></li>
</ul>

<?php endwhile; endif; ?>
</div>


<?php get_footer();