<?php

// Add thickbox to public-facing image attachment pages only
function scrapbook_thickbox_init() {
	if ( function_exists('add_thickbox') && is_attachment() && substr(get_post_mime_type(), 0,5) == 'image') {
		add_thickbox();
	}
}
add_action('template_redirect', 'scrapbook_thickbox_init');

// Correct image path issue in thickbox
function scrapbook_load_tb_fix() {
	echo "\n" . '<script type="text/javascript">tb_pathToImage = "' . get_option('siteurl') . '/wp-includes/js/thickbox/loadingAnimation.gif";tb_closeImage = "' . get_option('siteurl') . '/wp-includes/js/thickbox/tb-close.png";</script>'. "\n";
}
add_action('wp_footer', 'scrapbook_load_tb_fix');

// Add custom thickbox styling
function scrapbook_add_custom_thickbox_style() {
	$css_file = get_stylesheet_directory() . '/custom-thickbox.css';
	$css_url = get_stylesheet_directory_uri() . '/custom-thickbox.css';
	if ( file_exists($css_file) ) {
		wp_register_style('custom-thickbox', $css_url, '', '', 'screen');
		wp_enqueue_style('custom-thickbox');
	}
}
if( !is_admin() ) add_action('wp_print_styles', 'scrapbook_add_custom_thickbox_style');
